/**
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/

'use strict';

const Me = imports.misc.extensionUtils.getCurrentExtension();
const Lib = Me.imports.lib;

const Gettext = imports.gettext.domain('gnome-shell-extensions-commute');
const _ = Gettext.gettext;
const N_ = function(t) { return t; };

// general settings related stuff
const COMMUTE_SETTINGS_SCHEMA = 'org.gnome.shell.extensions.commute';
const COMMUTE_ORIGIN = 'origin';
const COMMUTE_DESTINATION = 'destination';
const COMMUTE_INDICATOR_POSITION = 'indicator-position';
const COMMUTE_PROVIDER = 'providers';
const COMMUTE_REFRESH_INTERVAL = 'refresh-interval';
const COMMUTE_AUTOMATIC_SWITCH = 'automatic-switch';
const COMMUTE_SWITCH_TIME = 'switch-time';
const COMMUTE_SWITCH_DISPLAYFORECAST = 'displayforecast-switch';

// google related stuff
const COMMUTE_GOOGLE_KEY = 'google-key';
const COMMUTE_GOOGLE_ALTERNATIVES = 'google-alternatives';
const COMMUTE_GOOGLE_UNITS = 'units';
const COMMUTE_GOOGLE_DRIVING_MODE = 'mode';
const COMMUTE_GOOGLE_TRANSIT_MODE = 'transit-mode';
const COMMUTE_GOOGLE_AVOID = 'avoid';
const COMMUTE_GOOGLE_TRAFFIC_MODEL = 'traffic-model';

// bing related
const COMMUTE_BING_KEY = 'bing-key';
const COMMUTE_BING_ALTERNATIVES = 'bing-alternatives';
const COMMUTE_BING_AVOID = "bing-avoid";
const COMMUTE_BING_OPTIMIZE = "bing-optimize";
const COMMUTE_BING_DISTANCE_UNIT = "bing-units";
const COMMUTE_BING_TRAVELMODE = "bing-travelmode";

let gsettings;

function init() {
    gsettings = Lib.getSettings(Me);
}
